Bug 171815 - Mountd occassionally crashes
Mountd occassionally crashes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-26 15:15 EDT by Ed Friedman
Modified: 2008-03-09 00:19 EST (History)
0 users

See Also:
Fixed In Version: nfs-utils-1.0.7-19.FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 00:19:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ed Friedman 2005-10-26 15:15:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624 Netscape/7.1

Description of problem:
We export partititions on numerous machines which are mounted via autofs.  Occassionally (once every week or two) rpc.mountd crashes and the remote machines can not mount the exported partititon.

Version-Release number of selected component (if applicable):
nfs-utils-1.0.7-12.FC4

How reproducible:
Sometimes

Steps to Reproduce:
1.Create /etc/exports to export partition
2.Mount it via autofs on other machines
3.Wait weeks until mountd crashes
  

Actual Results:  mountd is no longer running and partition cannot be mounted

Expected Results:  mountd should not crash

Additional info:

This can be fixed on the machine exporting the partition by issuing the command:  service nfs restart
Upon restart, you see:  Shutting down NFS mountd   [failed]
Everything else says ok.
Comment 1 Ed Friedman 2005-12-01 13:51:07 EST
It appears that nfs-utils-1.0.7-19.FC5 fixes this problem.
Comment 2 Christian Iseli 2007-01-19 19:42:44 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Ed Friedman 2007-01-23 12:00:09 EST
Problem no longer exists on FC6 - bug can be closed.

Note You need to log in before you can comment on or make changes to this bug.